Migration SCV4.1 vers Scv4.2 : problème export papier

Bonjour,
Je suis chargé de l’installation de Scenari Server dans mon service universitaire.
Nous fonctionnions avant sur une version scv4.1 et opale 3.5
L’export papier des documents n’exportait pas la partie "référence"
Nous avons alors migré en scénari serveur 4.2 et opale 3.6. La partie “référence” des documents s’affiche bien maintenant…Par contre nous avons perdu la table des matière et les sommaires (1 de gagné, 2 de perdu).
La config du serveur est la suivante:
Debian 8.5
Tomcat 8
java version “1.7.0_111”

Et lors de l’export papier, j’ai le message suivant dans mes logs:

1— Warning : Thu Oct 20 10:40:55 CEST 2016 - admin (chain-executor-5) —
Echec à la transformation
Src=’/var/lib/scenariserver4.2/javaserver/gen/D53MIGE4H6LFG7F4P7CQ8V102JD/D53MIG/E4H6LF/G7F4P7/CQ8V0P/7S/~fvaret/paper/Partie 1_papier.odt’
Dst=’/var/lib/scenariserver4.2/javaserver/gen/D53MIGE4H6LFG7F4P7CQ8V102JD/D53MIG/E4H6LF/G7F4P7/CQ8V0P/7S/~fvaret/paper/Partie 1_papier.odt’
params=‘transform=odtUpdate&processings=keepEnumTitle:’

2— Error : Thu Oct 20 10:40:55 CEST 2016 - fvaret (chain-executor-5) —
Echec à la transformation d’une ressource (OpenDocument).

3— Error : Thu Oct 20 10:40:55 CEST 2016 - fvaret (chain-executor-5) —
OpenDocument editor not found.

4— Exception : Thu Oct 20 10:40:55 CEST 2016 - fvaret (chain-executor-5) —
java.lang.NullPointerException
at java.io.File.(File.java:277)
at eu.scenari.transform.od.TfmOpenDocument.getOoClassLoader(TfmOpenDocument.java:347)
at eu.scenari.transform.od.TfmOpenDocument.xGetSubTransformer(TfmOpenDocument.java:189)
at eu.scenari.transform.od.TfmOpenDocument.transform(TfmOpenDocument.java:138)
at com.scenari.m.co.ant.TransformTask.execute(TransformTask.java:96)
at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:291)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:606)
at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106)
at org.apache.tools.ant.Task.perform(Task.java:348)
at org.apache.tools.ant.Target.execute(Target.java:390)
at org.apache.tools.ant.Target.performTasks(Target.java:411)
at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1399)
at org.apache.tools.ant.Project.executeTarget(Project.java:1368)
at com.scenari.m.ge.generator.ant.AntGenerator.xGenerate(AntGenerator.java:440)
at com.scenari.m.ge.generator.base.GeneratorStatic.generate(GeneratorStatic.java:643)
at eu.scenari.wsp.module.gen.ThreadGen.run(ThreadGen.java:163)
at eu.scenari.core.universe.Universe$1.run(Universe.java:393)
at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
at java.lang.Thread.run(Thread.java:745)

1— Info : Thu Oct 20 10:41:06 CEST 2016 (ScenariMemoryMgr) —
Garbage memory
Target : 6488064
Realized : 0
Priority reached (1 to 8) : 8
Processing time (ms) : 1


Je suis dessus depuis 1 jour. Merci d’avance à ceux qui pourraient m’apporter des pistes pour solutionner ce problème

Bonjour,

libreOffice 5.0 ne doit pas être installé ou retoruvé sur votre serveur (cf http://docs.kelis.fr/sc42/scsrv/adminTech/lin/co/configOs_lin.html notamment, et la variable d’env UNO_PATH)

Cdt

Antoine

Kelis

Antoine POURCHEZ

Merci Antoine. J’ai effectivement downgradé libre office de 5 à 4 sur le serveur et je retrouve ma table des matières et mes sommaires et … des logs propres
Par contre dans la doc (lien fourni dans votre précédent post) je n’ai pas trouvé de références au fait qu’il ne fallait pas installer Libreoffice v.5

Cordialement

Arnault Ducret

Ma formulation n’était pas claire dans ma réponse précédente.

C’est bien libreOffice5.0 qu’il faut utiliser avec SCENARI4.2 et Opale3.6.

Cdt,

Antoine

Kelis